Name:          python-astroid
Version:       2.8.4
Release:       1mamba
Summary:       A common base representation of python source code
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/astroid/
Source:        https://pypi.debian.net/astroid/astroid-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(lazy-object-proxy)
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(typed-ast)
BuildRequires: python3.7dist(typing-extensions)
BuildRequires: python3.7dist(wrapt)
## AUTOBUILDREQ-END

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n astroid-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/astroid-%{version}-py*.egg-info
%{python_sitearch}/astroid-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Tue Oct 26 2021 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic version update by autodist

* Mon Oct 18 2021 Automatic Build System <autodist@mambasoft.it> 2.8.3-1mamba
- automatic version update by autodist

* Sat Oct 09 2021 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Tue Sep 14 2021 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 2.7.3-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 2.6.6-1mamba
- automatic version update by autodist

* Wed Jul 21 2021 Automatic Build System <autodist@mambasoft.it> 2.6.5-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Tue Jun 29 2021 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Tue Jun 22 2021 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue Jun 08 2021 Automatic Build System <autodist@mambasoft.it> 2.5.8-1mamba
- automatic version update by autodist

* Sun May 30 2021 Automatic Build System <autodist@mambasoft.it> 2.5.7-1mamba
- automatic version update by autodist

* Wed Apr 28 2021 Automatic Build System <autodist@mambasoft.it> 2.5.6-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Mon Mar 01 2021 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- package created using the webbuild interface
